Bug 253286 - kernel BUG at fs/hfsplus/bnode.c:623!
kernel BUG at fs/hfsplus/bnode.c:623!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 14:48 EDT by Thomas Meyer
Modified: 2008-01-11 14:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 13:30:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Meyer 2007-08-17 14:48:01 EDT
kernel: ------------[ cut here ]------------
 kernel: kernel BUG at fs/hfsplus/bnode.c:623!
 kernel: invalid opcode: 0000 [#1]
 kernel: SMP 
 kernel: last sysfs file: /devices/pci0000:00/0000:00:09.0/irq
 kernel: Modules linked in: nls_utf8 hfsplus autofs4 hidp rfcomm l2cap bluetooth
sunrpc nf_conntrack_netbios_ns nf_conntrack_ipv4 xt
_state nf_conntrack nfnetlink ipt_REJECT iptable_filter ip_tables xt_tcpudp
ip6t_REJECT ip6table_filter ip6_tables x_tables cpufreq_ondemand dm_mirror dm_mul
tipath dm_mod video sbs button dock battery ac ipv6 parport_pc lp parport loop
snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_dev
ice snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd fwlanusb(P)(U) k8temp
usb_storage rtc_cmos soundcore hwmon serio_raw snd_page_alloc i2c_nforce2 forcedeth
 i2c_core sg sata_nv pata_amd ata_generic libata sd_mod scsi_mod ext3 jbd
mbcache ehci_hcd ohci_hcd uhci_hcd
 kernel: CPU:    0
 kernel: EIP:    0060:[<f8efa8e6>]    Tainted: P       VLI
 kernel: EFLAGS: 00010246   (2.6.22.1-33.fc7 #1)
 kernel: EIP is at hfsplus_bnode_put+0x11/0x68 [hfsplus]
 kernel: eax: edf2dcc0   ebx: f7078000   ecx: 00000000   edx: 00000001
 kernel: esi: edf2dcc0   edi: ede48ef8   ebp: 00000eac   esp: ede48e2c
 kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
 kernel: Process mc (pid: 3363, ti=ede48000 task=ed9d2000 task.ti=ede48000)
 kernel: Stack: 000000b0 00001f0c ede48ef8 f8efc187 0000000e 00000000 001eaae3
f7078000 
 kernel:        edf2dec0 edf2dcc0 f66f5e40 00000032 0000001e 00000072 00001f0c
70050000 
 kernel:        000007f4 edf2d4c0 0000006c 00001fb4 f8efc2eb 000007f4 ede48ef8
00001fb6 
 kernel: Call Trace:
 kernel:  [<f8efc187>] hfs_brec_update_parent+0x246/0x295 [hfsplus]
 kernel:  [<f8efc2eb>] hfsplus_brec_remove+0x115/0x121 [hfsplus]
 kernel:  [<f8ef92ac>] hfsplus_delete_cat+0x166/0x1dc [hfsplus]
 kernel:  [<c04c4092>] may_link+0xd4/0xe0
 kernel:  [<f8efa004>] hfsplus_rmdir+0x25/0x5a [hfsplus]
 kernel:  [<c04802ac>] vfs_rmdir+0xa9/0xea
 kernel:  [<c0481d8a>] do_rmdir+0x88/0xba
 kernel:  [<c04527e3>] audit_syscall_entry+0x10d/0x137
 kernel:  [<c0407c50>] do_syscall_trace+0xbb/0xc2
 kernel:  [<c0404f8e>] syscall_call+0x7/0xb
 kernel:  =======================
 kernel: Code: 44 83 58 eb 08 39 48 08 74 07 8b 40 18 85 c0 75 f4 5a 59 5b c3 e9
aa ad 57 c7 57 85 c0 56 89 c6 53 74 5b 83 78 2c 00 
8b 18 75 04 <0f> 0b eb fe 8d 53 54 31 ff 8d 40 2c e8 09 d4 5e c7 85 c0 75 10 
 kernel: EIP: [<f8efa8e6>] hfsplus_bnode_put+0x11/0x68 [hfsplus] SS:ESP
0068:ede48e2c
Comment 1 Eric Sandeen 2007-09-17 15:04:33 EDT
It might be worth reporting this upstream as well.  I've looked at hfs just a
little bit from the perspective of how it handles corrupted filesystems, and
it's not pretty...

-Eric
Comment 2 Christopher Brown 2007-09-25 10:59:41 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

Eric - If this is the case I am happy to file an upstream bug and chase it if
you like?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Eric Sandeen 2007-09-25 11:18:33 EDT
Chris, yeah, I think this might be better handled upstream, since I am no HFS
expert - though not sure how active HFS maintenance is either.  It's something I
could plow through with some effort, but it just hasn't risen to a high enough
priority to get it done.

Thanks,
-Eric
Comment 4 Christopher Brown 2007-09-25 11:47:56 EDT
Okay, thanks Eric, will file and copy you in if thats okay.

Thomas - I just need you to confirm with the latest kernel (from rawhide if you
can) and then I'll file on your behalf at bugzilla.kernel.org unless you want to
do it yourself.
Comment 5 Christopher Brown 2008-01-11 12:09:29 EST
Hello Thomas,

Can I trouble you for an update to this? I'm happy to file upstream at the
kernel.org bugzilla and copy you in if you are able to assist in testing a
resolution. Otherwise I will close this in a few days due to insufficient data.

Regards
Chris
Comment 6 Thomas Meyer 2008-01-11 13:07:45 EST
i switched my hard drivers to jfs file systems. so i won't hit this bug again.

Sorry.

Please close this bug.
Comment 7 Chuck Ebbert 2008-01-11 14:18:15 EST
I believe esandeen has submitted some fixes upstream for this, so maybe close as
UPSTREAM?
Comment 8 Eric Sandeen 2008-01-11 14:27:08 EST
I don't think I fixed this one in particular, I'm  afraid.  IIRC this one was a
refcounting bug, I fixed a few out of bounds conditions for corrupted filesystems...

Note You need to log in before you can comment on or make changes to this bug.